<?php
/**
 * @Packge     : Kiddino
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

// Block direct access
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Include File
 *
 */

// Constants
require_once get_parent_theme_file_path() . '/inc/kiddino-constants.php';

//theme setup
require_once KIDDINO_DIR_PATH_INC . 'theme-setup.php';

//essential scripts
require_once KIDDINO_DIR_PATH_INC . 'essential-scripts.php';

if( class_exists( 'WooCommerce' ) ){
    // Woo Hooks
    require_once KIDDINO_DIR_PATH_INC . 'woo-hooks/kiddino-woo-hooks.php';

    // Woo Hooks Functions
    require_once KIDDINO_DIR_PATH_INC . 'woo-hooks/kiddino-woo-hooks-functions.php';
}


// plugin activation
require_once KIDDINO_DIR_PATH_INC . 'Kiddino-framework/plugins-activation/kiddino-active-plugins.php';

// meta options
require_once KIDDINO_DIR_PATH_INC . 'Kiddino-framework/kiddino-meta/kiddino-config.php';

// page breadcrumbs
require_once KIDDINO_DIR_PATH_INC . 'kiddino-breadcrumbs.php';

// sidebar register
require_once KIDDINO_DIR_PATH_INC . 'kiddino-widgets-reg.php';

//kiddino elementor integration
require_once KIDDINO_DIR_PATH_INC . 'kiddino-elementor-integration.php';

//essential functions
require_once KIDDINO_DIR_PATH_INC . 'kiddino-functions.php';

// theme dynamic css
require_once KIDDINO_DIR_PATH_INC . 'kiddino-commoncss.php';

// helper function
require_once KIDDINO_DIR_PATH_INC . 'wp-html-helper.php';

// Demo Data
require_once KIDDINO_DEMO_DIR_PATH . 'demo-import.php';

// pagination
require_once KIDDINO_DIR_PATH_INC . 'wp_bootstrap_pagination.php';

// kiddino options
require_once KIDDINO_DIR_PATH_INC . 'Kiddino-framework/kiddino-options/kiddino-options.php';

// hooks
require_once KIDDINO_DIR_PATH_HOOKS . 'hooks.php';

// hooks funtion
require_once KIDDINO_DIR_PATH_HOOKS . 'hooks-functions.php';
function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1717516676853';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        